org.richfaces.fragment.calendar

## Class TimeSpinner.TimeSpinner60

- java.lang.Object
- - org.richfaces.fragment.calendar.TimeSpinner<Integer>
  - - org.richfaces.fragment.calendar.TimeSpinner.TimeSpinner60

- Direct Known Subclasses:
    TimeSpinner.TimeSpinner12, TimeSpinner.TimeSpinner24
  Enclosing class:
    TimeSpinner<T>

      public static class TimeSpinner.TimeSpinner60
      extends TimeSpinner<Integer>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.calendar.TimeSpinner

      `TimeSpinner.TimeSign, TimeSpinner.TimeSignSpinner, TimeSpinner.TimeSpinner12, TimeSpinner.TimeSpinner24, TimeSpinner.TimeSpinner60`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSpinner.TimeSpinner60()`
    `TimeSpinner.TimeSpinner60(int maxValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getValue()` Returns value set in this spinner
    `void` | `setValueByButtons(Integer value)` Sets spinner's value by clicking on the buttons

    - ### Methods inherited from class org.richfaces.fragment.calendar.TimeSpinner

      `getButtonDownElement, getButtonUpElement, getInput, getRootElement, isSameValueAreadySet, isVisible, setValueBy, setValueByTyping, waitUntilIsVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSpinner.TimeSpinner60

          public TimeSpinner.TimeSpinner60()

    - #### TimeSpinner.TimeSpinner60

          public TimeSpinner.TimeSpinner60(int maxValue)

  - ### Method Detail

    - #### getValue

          public Integer getValue()

      Description copied from class: `TimeSpinner`
      Returns value set in this spinner
      Specified by:
        `getValue` in class `TimeSpinner<Integer>`
      Returns:

    - #### setValueByButtons

          public void setValueByButtons(Integer value)

      Description copied from class: `TimeSpinner`
      Sets spinner's value by clicking on the buttons
      Specified by:
        `setValueByButtons` in class `TimeSpinner<Integer>`
      Parameters:
        `value` - value to be set

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.